> ## Documentation Index
> Fetch the complete documentation index at: https://agentmail.manicule.dev/llms.txt
> Use this file to discover all available pages before exploring further.
> For every page in one file, fetch https://agentmail.manicule.dev/llms-full.txt (large).
> To search and read these docs as tools, connect the MCP server at https://agentmail.manicule.dev/api/mcp.
> Every agent surface: https://agentmail.manicule.dev/.well-known/llms-manifest.json

# List Entries (/api-reference/list-entries)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1500 · updated: 2026-09-29 -->
Related: [Sign Up](/api-reference/sign-up.md), [Attach Human](/api-reference/attach-human.md), [Verify](/api-reference/verify.md), [List Inboxes](/api-reference/list-inboxes.md), [Create Inbox](/api-reference/create-inbox.md), [Search Inboxes](/api-reference/search-inboxes.md)

# List Entries

`GET /v0/inboxes/{inbox_id}/lists/{direction}/{type}`

> **CLI:**
> ```bash
> agentmail inboxes lists list --inbox-id <inbox_id> --direction <direction> --type <type>
> ```

Base URL: `https://api.agentmail.to`

Base URL: `https://x402.api.agentmail.to`

Base URL: `https://mpp.api.agentmail.to`

Base URL: `https://api.agentmail.eu`

## OpenAPI

```json
{
  "servers": [
    {
      "url": "https://api.agentmail.to",
      "description": "prod"
    },
    {
      "url": "https://x402.api.agentmail.to",
      "description": "prod-x402"
    },
    {
      "url": "https://mpp.api.agentmail.to",
      "description": "prod-mpp"
    },
    {
      "url": "https://api.agentmail.eu",
      "description": "eu-prod"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "securitySchemes": {
    "Bearer": {
      "type": "http",
      "scheme": "bearer"
    }
  },
  "parameters": [
    {
      "name": "inbox_id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "description": "The ID of the inbox.",
        "title": "InboxId"
      }
    },
    {
      "name": "direction",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "enum": [
          "send",
          "receive",
          "reply"
        ],
        "description": "Direction of list entry.",
        "title": "Direction"
      }
    },
    {
      "name": "type",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "enum": [
          "allow",
          "block"
        ],
        "description": "Type of list entry.",
        "title": "ListType"
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "type": "integer",
        "description": "Limit of number of items returned.",
        "title": "Limit"
      }
    },
    {
      "name": "page_token",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "description": "Page token for pagination.",
        "title": "PageToken"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Response with status 200",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "count": {
                "type": "integer",
                "description": "Number of items returned.",
                "title": "Count"
              },
              "limit": {
                "type": "integer",
                "description": "Limit of number of items returned.",
                "title": "Limit"
              },
              "next_page_token": {
                "type": "string",
                "description": "Page token for pagination.",
                "title": "PageToken"
              },
              "entries": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "entry": {
                      "type": "string",
                      "description": "Email address or domain of list entry."
                    },
                    "organization_id": {
                      "type": "string",
                      "description": "ID of organization.",
                      "title": "OrganizationId"
                    },
                    "reason": {
                      "type": "string",
                      "description": "Reason for adding the entry."
                    },
                    "direction": {
                      "type": "string",
                      "enum": [
                        "send",
                        "receive",
                        "reply"
                      ],
                      "description": "Direction of list entry.",
                      "title": "Direction"
                    },
                    "list_type": {
                      "type": "string",
                      "enum": [
                        "allow",
                        "block"
                      ],
                      "description": "Type of list entry.",
                      "title": "ListType"
                    },
                    "entry_type": {
                      "type": "string",
                      "enum": [
                        "email",
                        "domain"
                      ],
                      "description": "Whether the entry is an email address or domain.",
                      "title": "EntryType"
                    },
                    "created_at": {
                      "type": "string",
                      "format": "date-time",
                      "description": "Time at which entry was created."
                    },
                    "read_only": {
                      "type": "boolean",
                      "description": "Whether the entry is read-only and cannot be deleted via the API."
                    },
                    "pod_id": {
                      "type": "string",
                      "description": "ID of pod."
                    },
                    "inbox_id": {
                      "type": "string",
                      "description": "ID of inbox, if entry is inbox-scoped."
                    }
                  },
                  "required": [
                    "entry",
                    "organization_id",
                    "direction",
                    "list_type",
                    "entry_type",
                    "created_at",
                    "pod_id"
                  ],
                  "title": "PodListEntry"
                },
                "description": "Ordered by entry ascending."
              }
            },
            "required": [
              "count",
              "entries"
            ],
            "title": "PodListListEntriesResponse"
          }
        }
      }
    }
  }
}
```
